Wind River Support Network

HomeDefectsLIN5-21685
Fixed

LIN5-21685 : Security Advisory - imagemagick - CVE-2016-4562

Created: Jun 14, 2016    Updated: May 29, 2018
Resolved Date: Jul 17, 2016
Found In Version: 5.0.1.36
Fix Version: 5.0.1.37
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

The DrawDashPolygon function in MagickCore/draw.c in ImageMagick before 6.9.4-0 and 7.x before 7.0.1-2 mishandles calculations of certain vertices integer data, which allows remote attackers to cause a denial of service (buffer overflow and application crash) or possibly have unspecified other impact via a crafted file.

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2016-4562

Other Downloads


Live chat
Online